"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.POSTGRES_FILTER_OPERATOR_MAP = exports.FILTER_LOGIC_OPERATORS = exports.CONNECTION_CLOSING_MODES = exports.ORDER_DIRECTIONS = exports.DYNAMODB_OPERATORS = exports.FILTER_OPERATOR_MAP = void 0;
exports.FILTER_OPERATOR_MAP = {
    CONTAINS: 'contains',
    EQUAL: 'eq',
    STARTS_WITH: 'beginsWith',
};
exports.DYNAMODB_OPERATORS = {
    EQUAL: 'EQUAL',
};
var ORDER_DIRECTIONS;
(function (ORDER_DIRECTIONS) {
    ORDER_DIRECTIONS["ASC"] = "ASC";
    ORDER_DIRECTIONS["DESC"] = "DESC";
})(ORDER_DIRECTIONS || (exports.ORDER_DIRECTIONS = ORDER_DIRECTIONS = {}));
var CONNECTION_CLOSING_MODES;
(function (CONNECTION_CLOSING_MODES) {
    CONNECTION_CLOSING_MODES["AUTO"] = "AUTO";
    CONNECTION_CLOSING_MODES["MANUAL"] = "MANUAL";
})(CONNECTION_CLOSING_MODES || (exports.CONNECTION_CLOSING_MODES = CONNECTION_CLOSING_MODES = {}));
var FILTER_LOGIC_OPERATORS;
(function (FILTER_LOGIC_OPERATORS) {
    FILTER_LOGIC_OPERATORS["AND"] = "AND";
    FILTER_LOGIC_OPERATORS["OR"] = "OR";
})(FILTER_LOGIC_OPERATORS || (exports.FILTER_LOGIC_OPERATORS = FILTER_LOGIC_OPERATORS = {}));
var POSTGRES_FILTER_OPERATOR_MAP;
(function (POSTGRES_FILTER_OPERATOR_MAP) {
    POSTGRES_FILTER_OPERATOR_MAP["EQUAL"] = "=";
    POSTGRES_FILTER_OPERATOR_MAP["NOT_EQUAL"] = "<>";
    POSTGRES_FILTER_OPERATOR_MAP["CONTAINS"] = "LIKE";
})(POSTGRES_FILTER_OPERATOR_MAP || (exports.POSTGRES_FILTER_OPERATOR_MAP = POSTGRES_FILTER_OPERATOR_MAP = {}));
//# sourceMappingURL=constants.js.map